package w83b.w83bBeans;

import java.sql.ResultSet;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bActasBD;


public class W83bIncidenciaActaBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String numIncidencia;
	private String fecha;
	private String tipo;
	private String dni;
	private String descripcion;
	/**
	 * 
	 * El constructor de W83bIncidenciaActaBean.
	 */
	public W83bIncidenciaActaBean() {
		super();
	}
	
	
	
	public String getNumIncidencia() {
		return numIncidencia;
	}



	public void setNumIncidencia(String numIncidencia) {
		this.numIncidencia = numIncidencia;
	}



	public String getFecha() {
		return fecha;
	}
	public void setFecha(String fecha) {
		this.fecha = fecha;
	}
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public String getDni() {
		return dni;
	}
	public void setDni(String dni) {
		this.dni = dni;
	}
	
	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs= (ResultSet)o;//NOPMD
		this.numIncidencia = W83bDataBase.getStringFromRS(rs, W83bActasBD.inc_num);
		this.fecha = W83bDataBase.getStringFromRS(rs, W83bActasBD.inc_fechaEntrada);
		this.tipo = W83bDataBase.getStringFromRS(rs, W83bActasBD.inc_tipoIncidencia);
		this.dni = W83bDataBase.getStringFromRS(rs,W83bActasBD.inc_dni);
		this.descripcion= W83bDataBase.getStringFromRS(rs,"DESCRIPCION");
		return this;
	}
	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	
}
